/////////////////////////////////////////////////////////////////////////////////
// rooms.gs
// included by game.gs
// User writes here the room callbacks (non-latent) like update or Open, Close or Out
// Those are called from the HandlerGameUpdate, HandlerRoomOpen, HandlerRoomClose and HandlerRoomOut
// UpdateRoom_RX_RY
// OpenRoom_RX_RY
// CloseRoom_RX_RY
// OutRoom_RX_RY
/////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////////
// Set rooms names.
/////////////////////////////////////////////////////////////////////////////////
func RoomsSetNames()
{
	RoomsLoadNames("Data\\Map\\dizzy.nam");
}

func UpdateRoom_0_1()
{
    AIUpdateTrain(ObjFind(3000));     // Bat 1
}

func UpdateRoom_2_1()
{
    AIUpdateTrain(ObjFind(3003));    // Bat 2
}

func UpdateRoom_5_3()
{
    AIUpdateTrain(ObjFind(3006));    // Bat 3
}

func UpdateRoom_4_3()
{
    AIUpdateTrain(ObjFind(3009));    // Bat 3
}

func UpdateRoom_2_3()
{
    AIUpdateTrain(ObjFind(3012));    // Bat 4
}

func UpdateRoom_1_1()
{
    AIUpdateTrain(ObjFind(3015));    // Spirit 1
}

func UpdateRoom_3_3()
{
	idx = ObjFind(1006);
	if (!IsUpdate(ObjGet(idx, O_DELAY))) return;

	x = ObjGet(idx, O_X);
	w = ObjGet(idx, O_W);

	if(ObjGet(idx,O_STATUS)==0)
	{
		// increasing simetricaly
		x -= 8;
		w += 2*8;
		if(x<=736) // change status
		ObjSet(idx,O_STATUS, 1); // decrease
	}
	else
	{
		// decreasing simetricaly
		x += 8;
		w -= 2*8;
		if (x>=832) // change status
		ObjSet(idx, O_STATUS, 0); // increase
	}
	ObjSet(idx, O_X, x);
	ObjSet(idx, O_W, w);
}

// Users may add callbacks here...

/////////////////////////////////////////////////////////////////////////////////
