/////////////////////////////////////////////////////////////////////////////////
// The intro is the first sequence called when the game starts.
// Usually it shows the cover an waits for a key to begin a new game.
// Users can have some static room displayed, or even randomly move the character arround, like in Dizzy V.
/////////////////////////////////////////////////////////////////////////////////
func Intro()
{
	GameSet(G_COVER,1);
	MusicPlay(MUSIC_DEFAULT,0,1);
	
	while(true)
	{
		stop;
		if( GetKeyHit(KEY_ACTION) ) break;
		if( GetKeyHit(KEY_MENU) ) // some menu
		{
			if(OpenDialogQuestion("EXIT GAME ?",1))
				GameCommand(CMD_EXIT);
		}
	}
	
	ClearKeys();
	GameSet(G_COVER,0);
	GameSet(G_PAUSE,0);

	// init player
	PlayerSetPos(360,246);
	PlayerSet(P_DISABLE,0);
	
	Message( 12,7,"HELLO WORLD!",COLOR_MAGENTA,COLOR_GREEN);	
	MessagePop();
}

/////////////////////////////////////////////////////////////////////////////////
